Bug 1107695 - Taxonomy fact name not retrieved from settings
Summary: Taxonomy fact name not retrieved from settings
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 12:51 UTC by Bryan Kearney
Modified: 2019-09-26 13:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:20:13 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5690 0 None None None 2016-04-22 15:09:33 UTC

Description Bryan Kearney 2014-06-10 12:51:54 UTC
In app/models/host/base.rb:

<pre>
taxonomy_from_fact = taxonomy_class.find_by_title(facts["#{taxonomy}_fact"])
</pre>

should be

<pre>
taxonomy_from_fact = taxonomy_class.find_by_title(facts[Setting["#{taxonomy}_fact"]])
</pre>

Comment 1 Bryan Kearney 2014-06-10 12:51:56 UTC
Created from redmine issue http://projects.theforeman.org/issues/5690

Comment 2 Bryan Kearney 2014-06-10 13:04:17 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5690 has been closed

Comment 5 Bryan Kearney 2014-09-11 12:20:13 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.